Subject: Re: perl-5.8.0-RC2 (second Perl release candidate) for Cygwin is available
From: "Gerrit P. Haase" <[email-masked]>
To: Greg Matheson <[email-masked]>
Cc: [email-masked]
Date: Mon, 8 Jul 2002 10:56:51 +0200

Hallo Greg,

Am Mittwoch, 3. Juli 2002 um 04:58 schriebst du:

> With reference to Gerrit Haase's announcement, 
> http://www.cygwin.com/ml/cygwin/2002-06/msg01168.html,

> I downloaded it and tried it out with 
>         perl -i -pe s/in/out/ test.txt
> and it didn't delete test.txt. I put 
>         BEGIN
>         {
>                 push @INC, 
>                         '/usr/lib/perl5/5.6.1/cygwin-multi',
>                         , '/usr/lib/perl5/5.6.1'
>                         , '/usr/lib/perl5/site_perl/5.6.1/cygwin-multi'
>                         , '/usr/lib/perl5/site_perl/5.6.1'
>                         , '/usr/lib/perl5/site_perl'
>                         , '.'
>                         , '/usr/bin/perl'
>                         ;       
>         }
> in an old 5.6.1 program and it seems to find the modules OK.

Only pure Perl mopdules should be compatible.
All modules which need compiling will need recompiling since
perl-5.6 vs. 5.8 is not binary compatible.

> Now I have to decide whether to start installing modules again in
> the new places, or revert back to 5.6.1 and wait for the official
> release.

If you use setup.exe to install 5.8-RCx the perl-5.6.1 is uninstalled
since the package names are the same.  If there is an interest to keep
perl-5.6.1 and to install perl-5.8 alongside 5.6.1 we'll find another
name so there will be two perl packages.

Gerrit
-- 
"All faults& bugs are mine - Robert"
    from squid/acinclude.m4,   Sun Apr 21 05:21:21 2002

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/